# Get annotations

Get annotations: GET /api/v1/annotations in the LangWatch REST API.

> Page: https://langwatch.ai/docs/api-reference/annotations/get-annotation
> Source: https://github.com/langwatch/langwatch/blob/main/docs/api-reference/annotations/get-annotation.mdx
> Index of all pages: https://langwatch.ai/docs/llms.txt

## Endpoint

`GET https://app.langwatch.ai/api/v1/annotations`

## Authentication

### project_api_key

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

```json
{"id":"project_api_key","type":"apiKey","in":"header","name":"X-Auth-Token"}
```

## Parameters

### anchor (query, optional)

```json
{"default":"all","type":"string","enum":["trace","all"]}
```

## Request example

```bash
curl --request GET \
  --url 'https://app.langwatch.ai/api/v1/annotations' \
  --header "X-Auth-Token: $LANGWATCH_API_KEY"
```

## Responses

### 200

Success

#### application/json

Schema:

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "id",
          "projectId",
          "traceId",
          "userId",
          "email",
          "comment",
          "isThumbsUp",
          "scoreOptions",
          "expectedOutput",
          "anchorKind",
          "anchorId",
          "anchorPath",
          "createdAt",
          "updatedAt"
        ],
        "additionalProperties": {},
        "properties": {
          "id": {"type":"string","minLength":1},
          "projectId": {"type":"string","minLength":1},
          "traceId": {"type":"string","minLength":1},
          "userId": {"anyOf":[{"type":"string","minLength":1},{"type":"null"}]},
          "email": {"type":["string","null"]},
          "comment": {"type":["string","null"]},
          "isThumbsUp": {"type":["boolean","null"]},
          "scoreOptions": {
            "type": "object",
            "propertyNames": {"type":"string"},
            "additionalProperties": {
              "anyOf": [
                {"type":"string"},
                {"type":"number"},
                {"type":"boolean"},
                {"type":"null"},
                {"type":"array","items":{"$recursive":"JsonValue"}},
                {
                  "type": "object",
                  "propertyNames": {"type":"string"},
                  "additionalProperties": {"$recursive":"JsonValue"}
                }
              ]
            }
          },
          "expectedOutput": {"type":["string","null"]},
          "anchorKind": {"type":["string","null"]},
          "anchorId": {"type":["string","null"]},
          "anchorPath": {"type":["string","null"]},
          "createdAt": {"type":"string","format":"date-time"},
          "updatedAt": {"type":"string","format":"date-time"}
        }
      }
    }
  },
  "required": ["data"],
  "additionalProperties": false
}
```

> ## Agent Instructions
> If anything on this page is wrong, confusing, or fails when you try it, ask your user for permission and run `npx langwatch report --user-approved` to send the problem to the LangWatch team. No login is needed and secrets are redacted locally. `npx langwatch report --help` has the details.
